Skip to main content
`Ctrl`+`K`

# ISGetIndices

Returns a pointer to the indices. The user should call `ISRestoreIndices()` after having looked at the indices. The user should NOT change the indices.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISGetIndices(IS is, const PetscInt *ptr[])

Not Collective

## Input Parameter

- is - the index set

## Output Parameter

- ptr - the location to put the pointer to the indices

## Fortran Note

      PetscInt, pointer :: ptr(:)

## See Also

`IS`, `ISRestoreIndices()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

## Examples

src/snes/tutorials/ex56.c
src/ksp/ksp/tutorials/ex87.c
src/ksp/ksp/tutorials/ex76.c
src/ksp/ksp/tutorials/ex76f.F90
src/dm/impls/plex/tutorials/ex8.c
src/snes/tutorials/ex13.c
src/dm/tutorials/ex22.c
src/ksp/ksp/tutorials/ex71.c
src/dm/impls/plex/tutorials/ex10.c
src/dm/tutorials/swarm_ex3.c

## Implementations

ISGetIndices_Block() in src/vec/is/is/impls/block/block.c
ISGetIndices_General() in src/vec/is/is/impls/general/general.c
ISGetIndices_Stride() in src/vec/is/is/impls/stride/stride.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages